# Home Assistant Config
My configuration for Home Assistant

## Hardware
* [Raspberry Pi 3 B+](https://amzn.to/2Hgynln) - with [Hypriot](https://blog.hypriot.com/)

For my used hardware devices see the section [Devices](#devices).

## Software
I use the following software, running in docker containers, on my Raspberry Pi:

* [Home Assistant](https://www.home-assistant.io/)
* [Caddy](https://caddyserver.com/) - as SSL proxy
* [Mosquitto](https://mosquitto.org/) - as MQTT broker
* The ["TICK-Stack"](https://www.influxdata.com/)
  * Telegraf - to grab different data @home
  * Influxdb - to persist the data
  * Chronograf - for detailed fancy dashboards and logs
  * Kapacitor - for hardware alarms and some sensor alarms

## Used External Services
* Alexa (via Alexa Home Skill and AWS Lambda function)
* Bit.ly API
* Google/Youtube API
* Instagram API
* Openweathermap
* Spotify
* Telegram

## Devices
* [Amazon Echo Dot](https://amzn.to/2RvLxzE), 5x
* [Harmony Hub Elite](https://amzn.to/2RM29SY)
* [Xiaomi Smart Scale](https://amzn.to/2QPsv1H)

### Lights
* Ambilight, DIY - based on [Hyperion](https://hyperion-project.org/)
* Ikea Tradfri Lightbulbs E27, 4x
* Mi-Light Lightbulbs, 7x
* Mi-Light Wifi Bridge

### Sensors
* MQTT Hygrometers, DIY - NodeMcu/ESP32 + DHT22, 2x
* Xiaomi Mija Hygrometers, 3x
* Xiaomi Aqara Hygrometers, 4x
* Xiaomi Aqara Motion Sensor

### Smart Plugs
* Amazon Smart Plug
* Ikea Tradfri Smart Plug
* TP-Link HS100

### Switches
* Ikea Tradfri Dimmer
* Ikea Tradfri Smart Plug Switch

### Security
* [Yi Home Camera 1080p](https://amzn.to/2SYhoW6) - with [custom firmware and mqtt add-on](https://github.com/fbrinker/yi-hack-mqtt)

# Custom stuff

## Custom Components
* https://github.com/And3rsL/Deebot-for-Home-Assistant
* https://github.com/MTrab/landroid_cloud
* https://github.com/fwestenberg/reolink_dev
* https://github.com/thomasloven/hass-fontawesome

## Lovelace Ressources
* https://github.com/bramkragten/weather-card/
* https://github.com/denysdovhan/vacuum-card
* https://github.com/thomasloven/lovelace-auto-entities
* https://github.com/bradcrc/Now-Playing-Card
* https://github.com/bradcrc/color-lite-card
* https://github.com/maxwroc/battery-state-card

## Packages
* https://github.com/Barma-lej/halandroid

Work in progress. Not all of them are integrated yet.